//
//  VMConstant.h
//  VMobSDK
//
//  Created by vmob.co on 5/31/13.
//  Copyright (c) 2013 vmob.co. All rights reserved.
//

#ifndef VMobSDK_VMConstant_h
#define VMobSDK_VMConstant_h

#define IsIOS7 [[UIDevice currentDevice].systemVersion floatValue] >= 7

typedef enum {
	VMFacebook = 0,
	VMTwitter = 1,
} VMSocialType;

typedef enum {
	VMMale = 0,
	VMFemale = 1,
} VMGender;

typedef enum {
	VMCrossReferenceGCM = 0,
	VMCrossReferenceMSISDN = 2,
	VMCrossReferenceFacebookId = 3,
	VMCrossReferenceFacebookToken = 4,
	VMCrossReferenceCommuniq = 5,
	VMCrossReferenceApplePushNotification = 6,
	VMCrossReferenceBlackberry = 7,
	VMCrossReferenceWindowsNotificationService = 8,
} VMCrossReferenceType;

static NSString * const kVMOrderByWeighting = @"Weighting";
static NSString * const kVMOrderByLastUpdatedAt = @"LastUpdatedAt";
static NSString * const kVMOrderByStartDate = @"StartDate";

#pragma mark - Activity API

typedef enum {
	VMButtonClickAnonym = 1,
	VMButtonClick = 2,
	VMLocationCheckin = 3,
	VMAppPageImpression = 4,
	VMAppPageImpressionAnonym = 5,
	VMOfferImpression = 6,
	VMOfferRedemption = 7,
	VMOfferClickThrough = 8,
	VMOfferInstoreRedemption = 9,
	VMAppStartup = 10,
	VMAppStartupAnonym = 11,
	VMRegistration = 12,
	VMLogin = 13,
	VMOfferShare = 14,
	VMAdvertisementImpression = 15,
	VMAdvertisementClick = 16,
	VMAppInstall = 17,
} VMActionTypeCode;

typedef enum {
	VMGPS = 1,
	VMCell = 2,
	VMWifi =3,
} VMTypeGPS;

typedef enum {
	VMAEmail = 1,
	VMAMobileNumber = 2,
	VMAFacebook = 3,
	VMATwitter = 4,
	VMAMSISDN = 5,
} VMActivitySocialType;

typedef enum {
	VMSEmail = 1,
	VMSFacebook = 2,
	VMSTwitter = 3,
} VMShareSocialType;

#endif