//
//  NSString+Additions.m
//  MobileFramework
//
//  Created by Vladislav Zozulyak on 17.09.10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "NSString+VMAdditions.h"


@implementation NSString(VMAdditions)

- (NSString *) charAtIndex: (int) index {
	NSRange range = NSMakeRange(index, 1);
	return [self substringWithRange:range];
}

- (NSDate *) dateValueWithFormat: (NSString *) format {
	NSDateFormatter *dateFormatter = [[NSDateFormatter alloc] init];    
	[dateFormatter setDateFormat:format];
	NSDate* result = [dateFormatter dateFromString:self];
	[dateFormatter release];
	
	return result;
}

- (BOOL) containsString:(NSString*) str
{
	return ([self rangeOfString:str].length > 0);
}




@end
