//
//  VMAddTagRequest.m
//  VMobSDK
//
//  Created by vmob.co on 6/17/13.
//  Copyright (c) 2013 vmob.co. All rights reserved.
//

#import "VMAddTagsRequest.h"
#import "NSDictionary+VMValidation.h"

@interface VMAddTagsRequest()
@property (nonatomic, strong) NSMutableDictionary *requestDictionary;
@property (nonatomic, strong) NSMutableDictionary *dictionaryHeader;
@end

@implementation VMAddTagsRequest

- (VMAddTagsRequest *) initWithAccessToken: (NSString *) token tagValueReferenceCodes: (NSArray *) tagValueReferenceCodes {
	if (self = [super init]) {
		self.dictionaryHeader = [super dictionaryHeader];
		[self.dictionaryHeader setObjectOrDoNothing:token forKey:@"Authorization"];
		self.requestDictionary = [NSMutableDictionary dictionary];
		[self.requestDictionary setObjectOrDoNothing:tagValueReferenceCodes forKey:@"tagValueReferenceCodes"];
	}
	return self;
}

- (NSString *) path {
	return @"consumers/me/tagvalues";
}
@end
