//
//  VMDeleteRedeemOfferRequest.m
//  VMobSDK
//
//  Created by vmob.co on 6/1/13.
//  Copyright (c) 2013 vmob.co. All rights reserved.
//

#import "VMDeleteRedeemOfferRequest.h"
#import "NSDictionary+VMValidation.h"

@interface VMDeleteRedeemOfferRequest()
@property (nonatomic, strong) NSMutableDictionary *dictionaryHeader;
@property (nonatomic, strong) NSString *path;

@end

@implementation VMDeleteRedeemOfferRequest

- (VMDeleteRedeemOfferRequest *) initWithAccessToken: (NSString *) token offerId:(NSString *) offerId {
	if (self = [super init]) {
		self.dictionaryHeader = [super dictionaryHeader];
		[self.dictionaryHeader setObjectOrDoNothing:token forKey:@"Authorization"];
		self.path = [NSString stringWithFormat:@"consumers/redeemedOffers/%@",offerId];
	}
	return self;
}

- (NSString *) method {
	return @"DELETE";
}

@end
