//
//  VMDowngradeConsumerToAnonymousRequest.m
//  VMobSDK
//
//  Created by Ali Darvish on 16/09/13.
//  Copyright (c) 2013 Victor Eysner. All rights reserved.
//

#import "VMDowngradeConsumerToAnonymousRequest.h"
#import "NSDictionary+VMValidation.h"

@interface VMDowngradeConsumerToAnonymousRequest ()
@property (nonatomic, strong) NSMutableDictionary *dictionaryHeader;
@end

@implementation VMDowngradeConsumerToAnonymousRequest

- (VMDowngradeConsumerToAnonymousRequest *) initConsumerDownToAnonyWithToken:(NSString *)token
{
    if(self = [super init])
    {
        self.dictionaryHeader = [super dictionaryHeader];
        [self.dictionaryHeader setObjectOrDoNothing:token forKey:@"Authorization"];
    }
    
    return self;
}

- (NSString *) path
{
    return @"anonymize";
}

@end
