//
//  VMGEOFenceLocationManager.h
//  geofencedemo
//
//  Created by Ali Darvish on 12/09/13.
//  Copyright (c) 2013 Kevin McMahon. All rights reserved.
//

#import "VMRequestManager.h"
#import <CoreLocation/CoreLocation.h>

@interface VMGEOFenceLocationManager : VMRequestManager <CLLocationManagerDelegate>
{
    UITextView *data;
}

@property (nonatomic, strong) CLLocationManager *locationManager;
@property (nonatomic, strong) NSTimer *updateLocationTimer;
@property (nonatomic, strong) NSThread *thread1;
@property (nonatomic) BOOL IsSystemSleeping;

+ (instancetype)sharedInstance;

- (void) startLocationService;
- (void) stopLocationServices;

- (void) logOnTextView:(UITextView *)txt;

@end
