//
//  ListRedeemOfferRequest.m
//  VMobSDK
//
//  Created by vmob.co on 6/1/13.
//  Copyright (c) 2013 vmob.co. All rights reserved.
//

#import "VMListRedeemOfferRequest.h"
#import "NSDictionary+VMValidation.h"

@interface VMListRedeemOfferRequest()
@property (nonatomic, strong) NSMutableDictionary *dictionaryHeader;

@end

@implementation VMListRedeemOfferRequest

- (VMListRedeemOfferRequest *) initWithAccessToken: (NSString *) token {
	if (self = [super init]) {
		self.dictionaryHeader = [super dictionaryHeader];
		[self.dictionaryHeader setObjectOrDoNothing:token forKey:@"Authorization"];
	}
	return self;
}

- (NSString *) method {
	return @"GET";
}

- (NSString *) path {
	return @"consumers/redeemedOffers";
}

- (void) processResponse:(NSArray *)response
{
    [super processResponse:response];
    self.redeemOffers = response;
}

@end
