//
//  VMListTagRequest.m
//  VMobSDK
//
//  Created by vmob.co on 6/17/13.
//  Copyright (c) 2013 vmob.co. All rights reserved.
//

#import "VMListTagRequest.h"
#import "NSDictionary+VMValidation.h"

@interface VMListTagRequest ()
@property (nonatomic, strong) NSMutableDictionary *dictionaryHeader;
@property (nonatomic, strong) NSString *path;
@end

@implementation VMListTagRequest

- (VMListTagRequest *) initWithAccessToken: (NSString *) token {
	if (self = [super init]) {
		self.dictionaryHeader = [super dictionaryHeader];
		[self.dictionaryHeader setObjectOrDoNothing:token forKey:@"Authorization"];
		self.path = @"consumers/me/tagvalues";
	}
	return self;
}

- (NSString *) method {
	return @"GET";
}
@end
