//
//  VMNewRedeemOfferRequest.m
//  VMobSDK
//
//  Created by vmob.co on 5/31/13.
//  Copyright (c) 2013 vmob.co. All rights reserved.
//

#import "VMNewRedeemOfferRequest.h"
#import "NSDictionary+VMValidation.h"

@interface VMNewRedeemOfferRequest()
@property (nonatomic, strong) NSMutableDictionary *dictionaryHeader;
@property (nonatomic, strong) NSDictionary *requestDictionary;
@end

@implementation VMNewRedeemOfferRequest

- (VMNewRedeemOfferRequest *) initWithAccessToken: (NSString *) token offerId:(NSString *) offerId{
	if (self = [super init]) {
		self.dictionaryHeader = [super dictionaryHeader];
		[self.dictionaryHeader setObjectOrDoNothing:token forKey:@"Authorization"];
		self.requestDictionary = @{@"offerId":offerId};
	}
	return self;
}

- (NSString *)path {
	return @"consumers/redeemedOffers";
}

- (void) processResponse:(NSArray *)response
{
    [super processResponse:response];
    self.redeemOffers = response;
}

@end
