//
//  RegistrationConsumerRequest.h
//  VMobSDK
//
//  Created by vmob.co on 5/30/13.
//  Copyright (c) 2013 vmob.co. All rights reserved.
//

#import "VMTokenConsumerRequest.h"
#import "VMConstant.h"

@interface VMRegistrationRequest : VMTokenConsumerRequest

- (VMRegistrationRequest *) initWithEmail: (NSString *) email
								 userName: (NSString *) userName
								 password: (NSString *) password
								firstName: (NSString *) firstName
								 lastName: (NSString *) lastName
								 fullName: (NSString *) fullName
								   gender: (VMGender) gender
							  dateOfBirth: (NSDate *) dateOfBirth
									 city: (NSString *) city;

- (VMRegistrationRequest *) initWithMobilePhone: (NSString *) mobilePhoneNumber
									   userName: (NSString *) userName
									   password: (NSString *) password
									  firstName: (NSString *) firstName
									   lastName: (NSString *) lastName
									   fullName: (NSString *) fullName
										 gender: (VMGender) gender
									dateOfBirth: (NSDate *) dateOfBirth
										   city: (NSString *) city;

- (VMRegistrationRequest *) initAnonymousWithUserName: (NSString *) userName
											 password: (NSString *) password;
@end