//
//  VMSearchOffersRequest.h
//  VMobSDK
//
//  Created by vmob.co on 6/3/13.
//  Copyright (c) 2013 vmob.co. All rights reserved.
//

#import "VMBaseRequest.h"

@interface VMSearchOffersRequest : VMBaseRequest

@property (nonatomic, strong) NSArray *offersList;

- (VMSearchOffersRequest *) initWithUserToken:(NSString *)token
								 rankedSearch:(BOOL)ranked
									  keyword:(NSString *)keyword
								   categoryId:(NSString *)categoryId
								   merchantId:(NSString *)merchantId
									   fields:(NSString *)fields
									  orderBy:(NSString *)orderBy
									ascending:(BOOL)ascending;

@end
