//
//  UpdateConsumerRequest.h
//  VMobSDK
//
//  Created by vmob.co on 5/31/13.
//  Copyright (c) 2013 vmob.co. All rights reserved.
//

#import "VMBaseRequest.h"
#import "VMConstant.h"
#import "VMConsumer.h"

@interface VMUpdateConsumerRequest : VMBaseRequest

- (VMUpdateConsumerRequest *) initWithAccessToken: (NSString *) token
									   consumer: (VMConsumer *) consumer;
- (VMUpdateConsumerRequest *) initWithAccessToken: (NSString *) token
                                        firstName: (NSString *) firstName
                                         lastName: (NSString *) lastName
                                         fullName: (NSString *) fullName
                                           gender: (VMGender) gender
                                      dateOfBirth: (NSDate *) dateOfBirth
                                             city: (NSString *) city
                                     emailAddress: (NSString *) emailAddress;
@end
