//
//  MenuViewController.m
//  SampleVMSDK
//
//  Created by vmob.co on 5/28/13.
//  Copyright (c) 2013 vmob.co. All rights reserved.
//

#import "MenuViewController.h"
#import "ActivityViewController.h"
#import "ConsumerViewController.h"
#import "OfferViewController.h"
#import "LocationViewController.h"
#import "ConfigurationViewController.h"
#import "LogViewController.h"

@interface MenuViewController ()

@end

@implementation MenuViewController

- (void)viewDidLoad {
	[super viewDidLoad];
	self.title = @"Menu";
}

#pragma mark - Action Methods

- (IBAction) activityButtonAction: (UIButton *) sender {
	[self.navigationController pushViewController:[ActivityViewController new] animated:YES];
}

- (IBAction) advertisementButtonAction: (UIButton *) sender {
	[self showUnderCunstractionAlert];
}

- (IBAction) configurationButtonAction: (UIButton *) sender {
	[self.navigationController pushViewController:[ConfigurationViewController new] animated:YES];
}

- (IBAction) consumerButtonAction: (UIButton *) sender {
	[self.navigationController pushViewController:[ConsumerViewController new] animated:YES];
}

- (IBAction) locationButtonAction: (UIButton *) sender {
	[self.navigationController pushViewController:[LocationViewController new] animated:YES];
}

- (IBAction) offerButtonAction: (UIButton *) sender {
	[self.navigationController pushViewController:[OfferViewController new] animated:YES];
}

- (IBAction)logButtonAction:(UIButton *)sender {
	[self.navigationController pushViewController:[LogViewController new] animated:YES];
}

- (IBAction) cdnButtonAction: (UIButton *) sender {
	[self showUnderCunstractionAlert];
}

- (void) showUnderCunstractionAlert {
	[[[UIAlertView alloc] initWithTitle:@"Under construction" message:nil delegate:nil cancelButtonTitle:@"Ok" otherButtonTitles:nil] show];
}

@end
