//
//  GiftableViewController.m
//  SampleVMSDK
//
//  Created by Ali Darvish on 17/09/13.
//  Copyright (c) 2013 Victor Eysner. All rights reserved.
//

#import "GiftableViewController.h"
#import "VMConsumerManager.h"

@interface GiftableViewController ()

@end

@implementation GiftableViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction) showGiftable:(id)sender
{
    [[VMConsumerManager sharedInstance] getGiftingCouponsWithUserToken:[VMConsumerManager sharedInstance].userToken offerId:@"641" completionBlock:^(NSDictionary *dict){
        NSLog(@"%@", dict);
        txt.text = [NSString stringWithFormat:@"%@", dict];
    } failBlock:^(NSError *error){
        NSLog(@"%@", error);
    }];
}

- (IBAction) sendToFriend:(id)sender
{
    [[VMConsumerManager sharedInstance] sendGiftingCouponWithUserToken:[VMConsumerManager sharedInstance].userToken offerId:@"641" giftedCopy:@"Cool" giftToFriendsId:[NSArray arrayWithObject:@"1123"] completionBlock:^(NSDictionary *dict){
        NSLog(@"%@", dict);
        [[[UIAlertView alloc] initWithTitle:@"Success" message:nil delegate:nil cancelButtonTitle:@"Done" otherButtonTitles:nil, nil] show];
    } failBlock:^(NSError *error){
        NSLog(@"%@", error.debugDescription);
    }];
}

@end
