//
//  ActivitiesRequest.h
//  VMobSDK
//
//  Created by vmob.co on 5/30/13.
//  Copyright (c) 2013 vmob.co. All rights reserved.
//

#import "VMBaseRequest.h"

@interface VMActivitiesRequest : VMBaseRequest
@property (nonatomic, strong) NSArray *sentStackActivity;

- (VMActivitiesRequest *) initWithUserToken: (NSString *) token
							 bodyActivities: (NSArray *) activities;

- (VMActivitiesRequest *) initWithUserToken: (NSString *) token
								   typeCode: (NSString *) typeCode
									   code: (NSString *) code
									 value1: (NSString *) value1
									 value2: (NSString *) value2
									 value3: (NSString *) value3
							   redemptionId: (NSString *) redemptionId
								   latitude: (NSString *) latitude
								  longitude: (NSString *) longitude
									ownerId: (NSString *) ownerId
									  macId: (NSString *) macId
								 merchantId: (NSString *) merchantId
								 campaignId: (NSString *) campaignId
									 itemId: (NSString *) itemId
								   itemCode: (NSString *) itemCode
									venueId: (NSString *) venueId;

@end
