//
//  VMConsumer.m
//  VMobSDK
//
//  Created by vmob.co on 5/31/13.
//  Copyright (c) 2013 vmob.co. All rights reserved.
//

#import "VMConsumer.h"
#import "NSDictionary+VMValidation.h"
#import "VMUtils.h"
#import "NSString+VMAdditions.h"

@implementation VMConsumer

- (VMConsumer *) initWithDictionary: (NSDictionary *) dicitionary {
	if (self = [super init]) {
		self.userName = [dicitionary objectForKey:@"username"];
		self.lastName = [dicitionary objectForKey:@"lastName"];
		self.firstName = [dicitionary objectForKey:@"firstName"];
		self.fullName = [dicitionary objectForKey:@"fullName"];
		self.gender = [VMUtils grenderTypeWithString:[dicitionary objectForKey:@"gender"]];
		self.homeCity = [dicitionary objectForKey:@"homeCity"];
		self.dateOfBirth = [[dicitionary objectForKey:@"dateOfBirth"] dateValueWithFormat:@"yyyy-MM-dd"];
		self.emailAddress = [dicitionary objectForKey:@"emailAddress"];
	}
	return self;
}

@end