//
//  VMConsumerDetailsRequest.m
//  VMobSDK
//
//  Created by vmob.co on 5/31/13.
//  Copyright (c) 2013 vmob.co. All rights reserved.
//

#import "VMDetailConsumerRequest.h"
#import "NSDictionary+VMValidation.h"

@interface VMDetailConsumerRequest()
@property (nonatomic, strong) NSMutableDictionary *dictionaryHeader;
@end

@implementation VMDetailConsumerRequest

- (VMDetailConsumerRequest *) initWithAccessToken: (NSString *) token {
	if (self = [super init]) {
		self.dictionaryHeader = [super dictionaryHeader];
		[self.dictionaryHeader setObjectOrDoNothing:token forKey:@"Authorization"];
	}
	return self;
}

- (NSString *)method {
	return @"GET";
}

- (NSString *)path {
	return @"consumers";
}

@end
